Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.verification
Class Timeout

    java.lang.Object
      org.mockito.verification.Timeout

All Implemented Interfaces:
  VerificationMode, VerificationWithTimeout

    public class Timeout

extends java.lang.Object
implements VerificationWithTimeout

See the javadoc for `VerificationWithTimeout`

Typically, you won't use this class explicitly. Instead use timeout() method on Mockito class. See javadoc for `VerificationWithTimeout`

Constructor Summary
`Timeout(int millis, VerificationMode delegate)` See the javadoc for `VerificationWithTimeout`

Method Summary
`VerificationMode` | `atLeast(int minNumberOfInvocations)` See the javadoc for `VerificationWithTimeout`
`VerificationMode` | `atLeastOnce()` See the javadoc for `VerificationWithTimeout`
`VerificationMode` | `atMost(int maxNumberOfInvocations)` See the javadoc for `VerificationWithTimeout`
`VerificationMode` | `never()` See the javadoc for `VerificationWithTimeout`
`VerificationMode` | `only()` See the javadoc for `VerificationWithTimeout`
`VerificationMode` | `times(int wantedNumberOfInvocations)` See the javadoc for `VerificationWithTimeout`
`void` | `verify(VerificationData data)` See the javadoc for `VerificationWithTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timeout

    public Timeout(int millis,
                   VerificationMode delegate)

  See the javadoc for `VerificationWithTimeout`

  Typically, you won't use this class explicitly. Instead use timeout() method on Mockito class. See javadoc for `VerificationWithTimeout`

Method Detail

### verify

    public void verify(VerificationData data)

  See the javadoc for `VerificationWithTimeout`

  Specified by:
    `verify` in interface `VerificationMode`

### atLeast

    public VerificationMode atLeast(int minNumberOfInvocations)

  See the javadoc for `VerificationWithTimeout`

  Specified by:
    `atLeast` in interface `VerificationWithTimeout`
  Parameters:
    `minNumberOfInvocations` - minimum number of invocations
  Returns:
    verification mode

### atLeastOnce

    public VerificationMode atLeastOnce()

  See the javadoc for `VerificationWithTimeout`

  Specified by:
    `atLeastOnce` in interface `VerificationWithTimeout`
  Returns:
    verification mode

### atMost

    public VerificationMode atMost(int maxNumberOfInvocations)

  See the javadoc for `VerificationWithTimeout`

  Specified by:
    `atMost` in interface `VerificationWithTimeout`
  Returns:
    verification mode

### never

    public VerificationMode never()

  See the javadoc for `VerificationWithTimeout`

  Specified by:
    `never` in interface `VerificationWithTimeout`
  Returns:
    verification mode

### only

    public VerificationMode only()

  See the javadoc for `VerificationWithTimeout`

  Specified by:
    `only` in interface `VerificationWithTimeout`
  Returns:
    verification mode

### times

    public VerificationMode times(int wantedNumberOfInvocations)

  See the javadoc for `VerificationWithTimeout`

  Specified by:
    `times` in interface `VerificationWithTimeout`
  Parameters:
    `wantedNumberOfInvocations` - wanted number of invocations
  Returns:
    verification mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD